Index: contrib/ntp/sntp/sntp.mdoc.in
===================================================================
--- contrib/ntp/sntp/sntp.mdoc.in	(版本 314126)
+++ contrib/ntp/sntp/sntp.mdoc.in	(版本 316722)
@@ -1,9 +1,9 @@
-.Dd November 21 2016
+.Dd March 21 2017
 .Dt SNTP @SNTP_MS@ User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (sntp-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  November 21, 2016 at 07:58:32 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  March 21, 2017 at 10:36:52 AM by AutoGen 5.18.5
 .\"  From the definitions    sntp-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
@@ -303,7 +303,7 @@
 .An "Harlan Stenn"
 .An "Dave Hart"
 .Sh "COPYRIGHT"
-Copyright (C) 1992\-2016 The University of Delaware and Network Time Foundation all rights reserved.
+Copyright (C) 1992\-2017 The University of Delaware and Network Time Foundation all rights reserved.
 This program is released under the terms of the NTP license, <http://ntp.org/license>.
 .Sh "BUGS"
 Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org
Index: contrib/ntp/sntp/unity/Makefile.am
===================================================================
--- contrib/ntp/sntp/unity/Makefile.am	(版本 314126)
+++ contrib/ntp/sntp/unity/Makefile.am	(版本 316722)
@@ -3,10 +3,15 @@
 BUILT_SOURCES =
 CLEANFILES =
 
+AM_CFLAGS = $(NTP_HARD_CFLAGS)
+AM_CPPFLAGS = $(NTP_HARD_CPPFLAGS)
+AM_LDFLAGS = $(NTP_HARD_LDFLAGS)
+
 noinst_LIBRARIES = libunity.a
 
 libunity_a_CFLAGS =                  	\
 	-DUNITY_INCLUDE_CONFIG_H	\
+	$(AM_CFLAGS)			\
 	$(NULL)
 
 libunity_a_SOURCES =				\
Index: contrib/ntp/sntp/include/copyright.def
===================================================================
--- contrib/ntp/sntp/include/copyright.def	(版本 314126)
+++ contrib/ntp/sntp/include/copyright.def	(版本 316722)
@@ -1,7 +1,7 @@
 /* -*- Mode: Text -*- */
 
 copyright = {
-    date  = "1992-2016";
+    date  = "1992-2017";
     owner = "The University of Delaware and Network Time Foundation";
     eaddr = "http://bugs.ntp.org, bugs@ntp.org";
     type  = ntp;
Index: contrib/ntp/sntp/kod_management.c
===================================================================
--- contrib/ntp/sntp/kod_management.c	(版本 314126)
+++ contrib/ntp/sntp/kod_management.c	(版本 316722)
@@ -246,6 +246,7 @@
 
 	rewind(db_s);
 
+	/* Allocate the array of pointers to the struct kod_entry items */
 	kod_db = eallocarray(kod_db_cnt, sizeof(kod_db[0]));
 
 	/* Read contents of file */
@@ -265,7 +266,8 @@
 			continue;
 		}
 
-		kod_db[b] = emalloc(sizeof(*kod_db[b]));
+		/* Allocate this struct kod_entry item */
+		kod_db[b] = emalloc(sizeof(*kod_db[0]));
 
 		if (3 != sscanf(fbuf, "%llx %4s %254s", &ull,
 		    kod_db[b]->type, kod_db[b]->hostname)) {
Index: contrib/ntp/sntp/libevent/m4/ltsugar.m4
===================================================================
--- contrib/ntp/sntp/libevent/m4/ltsugar.m4	(版本 314126)
+++ contrib/ntp/sntp/libevent/m4/ltsugar.m4	(版本 316722)
@@ -1,6 +1,7 @@
 # ltsugar.m4 -- libtool m4 base layer.                         -*-Autoconf-*-
 #
-# Copyright (C) 2004, 2005, 2007, 2008 Free Software Foundation, Inc.
+# Copyright (C) 2004-2005, 2007-2008, 2011-2015 Free Software
+# Foundation, Inc.
 # Written by Gary V. Vaughan, 2004
 #
 # This file is free software; the Free Software Foundation gives
@@ -33,7 +34,7 @@
 # ------------
 # Manipulate m4 lists.
 # These macros are necessary as long as will still need to support
-# Autoconf-2.59 which quotes differently.
+# Autoconf-2.59, which quotes differently.
 m4_define([lt_car], [[$1]])
 m4_define([lt_cdr],
 [m4_if([$#], 0, [m4_fatal([$0: cannot be called without arguments])],
@@ -44,7 +45,7 @@
 
 # lt_append(MACRO-NAME, STRING, [SEPARATOR])
 # ------------------------------------------
-# Redefine MACRO-NAME to hold its former content plus `SEPARATOR'`STRING'.
+# Redefine MACRO-NAME to hold its former content plus 'SEPARATOR''STRING'.
 # Note that neither SEPARATOR nor STRING are expanded; they are appended
 # to MACRO-NAME as is (leaving the expansion for when MACRO-NAME is invoked).
 # No SEPARATOR is output if MACRO-NAME was previously undefined (different
Index: contrib/ntp/sntp/libopts/Makefile.am
===================================================================
--- contrib/ntp/sntp/libopts/Makefile.am	(版本 314126)
+++ contrib/ntp/sntp/libopts/Makefile.am	(版本 316722)
@@ -12,6 +12,10 @@
 BUILT_SOURCES		=
 MOSTLYCLEANFILES	=
 
+AM_CFLAGS	= $(NTP_HARD_CFLAGS)
+AM_CPPFLAGS	= $(NTP_HARD_CPPFLAGS)
+AM_LDFLAGS	= $(NTP_HARD_LDFLAGS)
+
 libopts.c:		$(BUILT_SOURCES)
 	@: do-nothing rule to avoid default SCCS get
 
Index: contrib/ntp/sntp/sntp.1sntpmdoc
===================================================================
--- contrib/ntp/sntp/sntp.1sntpmdoc	(版本 314126)
+++ contrib/ntp/sntp/sntp.1sntpmdoc	(版本 316722)
@@ -1,9 +1,9 @@
-.Dd November 21 2016
+.Dd March 21 2017
 .Dt SNTP 1sntpmdoc User Commands
 .Os
 .\"  EDIT THIS FILE WITH CAUTION  (sntp-opts.mdoc)
 .\"
-.\"  It has been AutoGen-ed  November 21, 2016 at 07:58:32 AM by AutoGen 5.18.5
+.\"  It has been AutoGen-ed  March 21, 2017 at 10:36:52 AM by AutoGen 5.18.5
 .\"  From the definitions    sntp-opts.def
 .\"  and the template file   agmdoc-cmd.tpl
 .Sh NAME
@@ -303,7 +303,7 @@
 .An "Harlan Stenn"
 .An "Dave Hart"
 .Sh "COPYRIGHT"
-Copyright (C) 1992\-2016 The University of Delaware and Network Time Foundation all rights reserved.
+Copyright (C) 1992\-2017 The University of Delaware and Network Time Foundation all rights reserved.
 This program is released under the terms of the NTP license, <http://ntp.org/license>.
 .Sh "BUGS"
 Please send bug reports to: http://bugs.ntp.org, bugs@ntp.org
Index: contrib/ntp/sntp/tests/Makefile.am
===================================================================
--- contrib/ntp/sntp/tests/Makefile.am	(版本 314126)
+++ contrib/ntp/sntp/tests/Makefile.am	(版本 316722)
@@ -97,6 +97,7 @@
 	$(NULL)
 
 AM_CFLAGS  = $(CFLAGS_NTP)
+AM_CFLAGS += $(NTP_HARD_CFLAGS)
 
 AM_CPPFLAGS  = $(SNTP_INCS)
 AM_CPPFLAGS += -I$(srcdir)/..
@@ -107,8 +108,10 @@
 AM_CPPFLAGS += -DUNITY_INCLUDE_CONFIG_H
 #AM_CPPFLAGS += -I$(top_srcdir)/sntp/unity
 AM_CPPFLAGS += -I$(top_srcdir)/unity
+AM_CPPFLAGS += $(NTP_HARD_CPPFLAGS)
 
-AM_LDFLAGS = $(LDFLAGS_NTP)
+AM_LDFLAGS  = $(LDFLAGS_NTP)
+AM_LDFLAGS += $(NTP_HARD_LDFLAGS)
 
 BUILT_SOURCES +=				\
 	$(srcdir)/run-crypto.c			\
Index: contrib/ntp/sntp/version.c
===================================================================
--- contrib/ntp/sntp/version.c	(版本 314126)
+++ contrib/ntp/sntp/version.c	(版本 316722)
@@ -2,4 +2,4 @@
  * version file for sntp
  */
 #include <config.h>
-const char * Version = "sntp 4.2.8p9@1.3265-o Mon Nov 21 12:58:21 UTC 2016 (31)";
+const char * Version = "sntp 4.2.8p10-beta@1.3728-o Tue Mar 21 14:36:42 UTC 2017 (43)";
